Index: /extensions/pLoader/trunk/locale/es_ES/gs.html
===================================================================
--- /extensions/pLoader/trunk/locale/es_ES/gs.html	(revision 3989)
+++ /extensions/pLoader/trunk/locale/es_ES/gs.html	(revision 3989)
@@ -0,0 +1,20 @@
+<html>
+<body text="#E15918" link="#E15918">
+    <font size=5 face="verdana, arial">
+    <img src="../res/piwigo_logo.png" />
+    <br />
+    <br />
+    Haga clic en los lazos para comenzar con pLoader.
+    <br />
+    <br />
+    <br />
+    1. <a href="new_album">Crear un nuevo álbum.</a>
+    <br />
+    <br />
+    2. <a href="add_photos">Añadir fotos a la selección.</a>
+    <br />
+    <br />
+    3. <a href="upload_photos">Trasladar en un álbum.</a>
+    </font>
+</body>
+</html>
Index: /extensions/pLoader/trunk/locale/es_ES/pLoader.po
===================================================================
--- /extensions/pLoader/trunk/locale/es_ES/pLoader.po	(revision 3989)
+++ /extensions/pLoader/trunk/locale/es_ES/pLoader.po	(revision 3989)
@@ -0,0 +1,363 @@
+msgid ""
+msgstr ""
+"Project-Id-Version: Piwigo pLoader\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-02-14 11:36+0100\n"
+"PO-Revision-Date: \n"
+"Last-Translator: ron osman <ron@piwigo.com>\n"
+"Language-Team: Piwigo team <team@piwigo.net>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+"X-Poedit-Basepath: .\n"
+"X-Poedit-SearchPath-0: C:/strawberry/perl/site/lib/Uploader/GUI\n"
+"X-Poedit-SearchPath-1: d:/pLoader/res\n"
+
+msgid "Select photos for upload"
+msgstr "Escoger las fotos que hay que trasladar"
+
+msgid "JPEG files"
+msgstr "Ficheros JPEG"
+
+msgid "Default author :"
+msgstr "Autor por defecto :"
+
+msgid "Photo caption  prefix :"
+msgstr "Prefijo del título de la foto :"
+
+msgid "Site thumbnail size :"
+msgstr "Talla miniatura :"
+
+msgid "Site image width :"
+msgstr "Anchura de la imagen"
+
+msgid "Site image height :"
+msgstr "Altura de la imagen"
+
+msgid "Auto rotate image :"
+msgstr "Rotación automática de la imagen"
+
+msgid "Upload high (original size) "
+msgstr "Transferencia alta definición (talla a personal extravagante)"
+
+msgid "Yes"
+msgstr "Sí"
+
+msgid "No"
+msgstr "No"
+
+msgid "Admin. username :"
+msgstr "Identificando a administrador :"
+
+msgid "Admin. password :"
+msgstr "Contraseña administrador :"
+
+msgid "OK"
+msgstr "Validar"
+
+msgid "Cancel"
+msgstr "Anular"
+
+msgid "Create date :"
+msgstr "Data de creación :"
+
+msgid "Width :"
+msgstr "Anchura :"
+
+msgid "Height :"
+msgstr "Altura :"
+
+msgid "Orientation :"
+msgstr "Orientación :"
+
+msgid "Shutter speed :"
+msgstr "Velocidad de obturación :"
+
+msgid "Aperture :"
+msgstr "Apertura :"
+
+msgid "Focal length :"
+msgstr "Longitud focal :"
+
+msgid "Model :"
+msgstr "Modelo :"
+
+msgid "Lens :"
+msgstr "Óptica :"
+
+msgid "Author :"
+msgstr "Autor :"
+
+msgid "Comment :"
+msgstr "Comentario :"
+
+msgid "French"
+msgstr "Francés"
+
+msgid "English"
+msgstr "Inglés"
+
+msgid "Russian"
+msgstr "Ruso"
+
+msgid "Italian"
+msgstr "Italiano"
+
+msgid "German"
+msgstr "Deutscher"
+
+msgid "Spanish"
+msgstr "Español"
+
+msgid "Portuguese"
+msgstr "Portugués"
+
+msgid "Dutch"
+msgstr "Holandés"
+
+msgid "Polish"
+msgstr "Polaco"
+
+msgid "Piwigo categories"
+msgstr "Categorías en Piwigo"
+
+msgid "Photo properties"
+msgstr "Propiedades de la foto"
+
+msgid "Tools"
+msgstr "Herramientas"
+
+msgid "Global settings"
+msgstr "Preferencias"
+
+msgid "General"
+msgstr "General"
+
+msgid "Resized"
+msgstr "Reducción"
+
+msgid "Thumbnail"
+msgstr "Miniatura"
+
+msgid "Preview"
+msgstr "Previsualización"
+
+msgid "Photo selection"
+msgstr "Fotos seleccionadas"
+
+msgid "Language choice"
+msgstr "Elección de la lengua"
+
+msgid "Choose a language"
+msgstr "Escoger una lengua"
+
+msgid "Upload to Piwigo"
+msgstr "Trasladar hacia Piwigo"
+
+msgid "Remove photo from selection"
+msgstr "Llevarse la foto de la selección"
+
+msgid "Add photo to selection"
+msgstr "Añadir la foto a la selección"
+
+msgid "Not connected"
+msgstr "No conectado"
+
+msgid "Connection to"
+msgstr "La conexión a"
+
+msgid "failed"
+msgstr "Fue suspendido"
+
+msgid "Piwigo login"
+msgstr "Conexión en Piwigo"
+
+msgid "Piwigo login error"
+msgstr "Error de conexión en Piwigo"
+
+msgid "Please select a valid target category"
+msgstr "Por favor, seleccione otra categoría"
+
+msgid "Piwigo upload error"
+msgstr "Error de transferencia a Piwigo"
+
+msgid "Category name :"
+msgstr "Nombre de la categoría"
+
+msgid "Add new category"
+msgstr "Añadir una nueva categoría"
+
+msgid "New category"
+msgstr "Nueva categoría"
+
+msgid "Upload cancelled"
+msgstr "Transferencia anulada"
+
+msgid "Image upload progress information"
+msgstr "Progresión de la transferencia de imagen"
+
+msgid "Cancel upload"
+msgstr "Anular la transferencia"
+
+msgid "Piwigo upload information"
+msgstr "Información sobre la transferencia a Piwigo"
+
+msgid "Processing"
+msgstr "Tratamiento corriente"
+
+msgid "images processed"
+msgstr "Imágenes tratadas"
+
+msgid "images uploaded"
+msgstr "Imágenes trasladadas"
+
+msgid "images in errors and not uploaded"
+msgstr "Imágenes en error y no trasladadas"
+
+msgid "Duration"
+msgstr "Duración"
+
+msgid "Categories"
+msgstr "Categorías"
+
+msgid "categories"
+msgstr "categorías"
+
+msgid "Categorie"
+msgstr "Categoría"
+
+msgid "categorie"
+msgstr "categoría"
+
+msgid "Album"
+msgstr "Album"
+
+msgid "Albums"
+msgstr "Álbumes"
+
+msgid "album"
+msgstr "álbum"
+
+msgid "albums"
+msgstr "álbumes"
+
+msgid "Photo caption :"
+msgstr "Título de la foto :"
+
+msgid "File name :"
+msgstr "Nombre del fichero :"
+
+msgid "Default photo caption :"
+msgstr "Título por defecto :"
+
+msgid "Resize site image :"
+msgstr "Reducirse para el sitio :"
+
+msgid "Auto rotate :"
+msgstr "Rotación automática :"
+
+msgid "Upload high (original size) :"
+msgstr "Cargar la foto original :"
+
+msgid "Site image jpeg quality :"
+msgstr "Calidad JPEG de la foto :"
+
+msgid "Site image filter :"
+msgstr "Filtro de reducción :"
+
+msgid "Site image blur :"
+msgstr "Acentuación / ligereza :"
+
+msgid "Site image interlace :"
+msgstr "Entrelazamiento :"
+
+msgid "Site thumbnail jpeg quality :"
+msgstr "Calidad JPEG de las miniaturas del sitio :"
+
+msgid "Photo selection thumbnail size :"
+msgstr "Talla miniaturas de la selección foto :"
+
+msgid "Photo selection thumbnail jpeg quality :"
+msgstr "Calidad JPEG de las miniaturas de la selección foto :"
+
+msgid "Use exif preview when available :"
+msgstr "Utilizar la previsualización extejo :"
+
+msgid "Custom preview ratio :"
+msgstr "Ratio de previsualización :"
+
+msgid "Piwigo url"
+msgstr "url del sitio Piwigo"
+
+msgid "Connect"
+msgstr "Conectar"
+
+msgid "Work Offline"
+msgstr "Trabajar fuera de conexión"
+
+msgid "Exit"
+msgstr "Salir"
+
+msgid "empty - work Offline"
+msgstr "Nada que hay que fijar - fuera de conexión"
+
+msgid "None"
+msgstr "Ninguno"
+
+msgid "File name"
+msgstr "Nombre del fichero"
+
+msgid "File path and name"
+msgstr "Camino y nombre del fichero"
+
+msgid "Prefix"
+msgstr "Prefijo"
+
+msgid "Prefix + rank number"
+msgstr "Prefijo + número de fila"
+
+msgid "Rank number + prefix"
+msgstr "Número de fila + prefijo"
+
+msgid "Prefix + create date chrono"
+msgstr "Prefijo + cronómetro data de creación"
+
+msgid "Create date chrono + prefix"
+msgstr "Cronómetro data de creación + prefijo"
+
+msgid "Photo"
+msgstr "Foto"
+
+msgid "Image processing progress information"
+msgstr "Progresión del tratamiento de imagen"
+
+msgid "Cancel image processing"
+msgstr "Anular el tratamiento de imagen"
+
+msgid "Add new album"
+msgstr "Añadir un nuevo álbum"
+
+msgid "Album name :"
+msgstr "Nombre del álbum :"
+
+msgid "New album"
+msgstr "Nuevo álbum"
+
+
+msgid "Refresh"
+msgstr "Actualizar"
+
+msgid "Expand all"
+msgstr "Fijar todo"
+
+msgid "Collapse all"
+msgstr "Reducir todo"
+
+msgid "Getting started"
+msgstr "Arrancar"
+
+msgid "Properties"
+msgstr "Propiedades"
+
+msgid "Remove uploaded photo from selection :"
+msgstr "Vaciar la selección foto después de transferencia :"