Index: /branches/2.0/language/de_DE/common.lang.php
===================================================================
--- /branches/2.0/language/de_DE/common.lang.php	(revision 3995)
+++ /branches/2.0/language/de_DE/common.lang.php	(revision 3996)
@@ -366,3 +366,4 @@
 $lang['show tag cloud'] = 'zeigen die Tag-Wolke';
 $lang['cloud'] = 'Wolke';
+$lang['Reset_To_Default'] = 'Zurücksetzen auf Standardwerte';
 ?>
Index: /branches/2.0/language/en_UK/common.lang.php
===================================================================
--- /branches/2.0/language/en_UK/common.lang.php	(revision 3995)
+++ /branches/2.0/language/en_UK/common.lang.php	(revision 3996)
@@ -366,3 +366,4 @@
 $lang['show tag cloud'] = 'show tag cloud';
 $lang['cloud'] = 'cloud';
+$lang['Reset_To_Default'] = 'Reset to default values';
 ?>
Index: /branches/2.0/language/es_ES/common.lang.php
===================================================================
--- /branches/2.0/language/es_ES/common.lang.php	(revision 3995)
+++ /branches/2.0/language/es_ES/common.lang.php	(revision 3996)
@@ -366,4 +366,4 @@
 $lang['show tag cloud'] = 'mostrar la nube de tags';
 $lang['cloud'] = 'nube';
-
+$lang['Reset_To_Default'] = 'Restablecer los valores predeterminados';
 ?>
Index: /branches/2.0/language/fr_FR/common.lang.php
===================================================================
--- /branches/2.0/language/fr_FR/common.lang.php	(revision 3995)
+++ /branches/2.0/language/fr_FR/common.lang.php	(revision 3996)
@@ -366,3 +366,4 @@
 $lang['show tag cloud'] = 'montrer le nuage de tags';
 $lang['cloud'] = 'nuage';
+$lang['Reset_To_Default'] = 'Rétablir les valeurs par défaut';
 ?>
Index: /branches/2.0/language/it_IT/common.lang.php
===================================================================
--- /branches/2.0/language/it_IT/common.lang.php	(revision 3995)
+++ /branches/2.0/language/it_IT/common.lang.php	(revision 3996)
@@ -366,4 +366,5 @@
 $lang['show tag cloud'] = 'fare salire la nuvola di tags';
 $lang['cloud'] = 'nuvola';
+$lang['Reset_To_Default'] = 'Ripristinare le impostazioni predefinite';
 // --------- Starting below: New or revised $lang ---- from Colibri (2.1)
 $lang['del_all_favorites_hint'] = 'cancellare tutte le immagini dai vostri favoriti';
Index: /branches/2.0/profile.php
===================================================================
--- /branches/2.0/profile.php	(revision 3995)
+++ /branches/2.0/profile.php	(revision 3996)
@@ -41,4 +41,77 @@
   trigger_action('loc_begin_profile');
 
+// Reset to default (Guest) custom settings
+  if (isset($_POST['reset_to_default']))
+  {
+  	global $conf;
+    // Get the Guest custom settings
+		$query = 'SELECT * FROM '.USER_INFOS_TABLE.
+            ' WHERE user_id = '.$conf['default_user_id'].';';
+
+    $result = pwg_query($query);
+    
+    $cache['default_user'] = mysql_fetch_assoc($result);
+    
+		$default_user = array();
+    
+		foreach ($cache['default_user'] as $name => $value)
+    {
+		// If the field is true or false, the variable is transformed into a
+  	// boolean value.
+    	if ($value == 'true' or $value == 'false')
+      {
+      	$default_user[$name] = get_boolean($value);
+     	}
+      else
+      {
+      	$default_user[$name] = $value;
+      }
+  	}
+		// Changing $userdata array values with default ones	
+		foreach ($userdata as $key => $valeur)
+		{
+			if ($key == 'nb_image_line')
+			{
+				$userdata[$key] = $default_user['nb_image_line'];
+				$_POST['nb_image_line'] = $userdata['nb_image_line'];
+			}
+			if ($key == 'nb_line_page')
+			{
+				$userdata[$key] = $default_user['nb_line_page'];
+				$_POST['nb_line_page'] = $userdata['nb_line_page'];
+			}
+			if ($key == 'maxwidth')
+			{
+				$userdata[$key] = $default_user['maxwidth'];
+				$_POST['maxwidth'] = $userdata['maxheight'];
+			}
+			if ($key == 'maxheight')
+			{
+				$userdata[$key] = $default_user['maxheight'];
+				$_POST['maxheight'] = $userdata['maxheight'];
+			}
+			if ($key == 'expand')
+			{
+				$userdata[$key] = $default_user['expand'];
+				$_POST['expand'] = $userdata['expand'];
+			}
+			if ($key == 'show_nb_comments')
+			{
+				$userdata[$key] = $default_user['show_nb_comments'];
+				$_POST['show_nb_comments'] = $userdata['show_nb_comments'];
+			}
+			if ($key == 'recent_period')
+			{
+				$userdata[$key] = $default_user['recent_period'];
+				$_POST['recent_period'] = $userdata['recent_period'];
+			}
+			if ($key == 'show_nb_hits')
+			{
+				$userdata[$key] = $default_user['show_nb_hits'];
+				$_POST['show_nb_hits'] = $userdata['show_nb_hits'];
+			}
+		}
+	}
+	
   save_profile_from_post($userdata, $errors);
 
@@ -258,4 +331,5 @@
     $language_options[$language_code] = $language_name;
   }
+
   $template->assign('language_options', $language_options);
 
Index: /branches/2.0/template/yoga/profile_content.tpl
===================================================================
--- /branches/2.0/template/yoga/profile_content.tpl	(revision 3995)
+++ /branches/2.0/template/yoga/profile_content.tpl	(revision 3996)
@@ -105,4 +105,5 @@
     <input class="submit" type="submit" name="validate" value="{'Submit'|@translate}">
     <input class="submit" type="reset" name="reset" value="{'Reset'|@translate}">
+    <input class="submit" type="submit" name="reset_to_default" value="{'Reset_To_Default'|@translate}">
   </p>
 